dsi: XDsi_VideoTiming Struct Reference

| dsi Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDsi_VideoTiming Struct Reference
Dsi_v1_1

Video timing structure. More...

## Data Fields
u16 | HActive
| Active per video line payload size in bytes(WC) More...
u16 | HFrontPorch
| Horizontal front porch blanking packet payload size in bytes(WC) More...
u16 | HSyncWidth
| Horizontal Sync active width blanking packet payload size in bytes(WC) More...
u16 | HBackPorch
| Horizontal back porch blanking packet payload size in bytes(WC) More...
u16 | VActive
| Vertical active region lines. More...
u16 | VFrontPorch
| Vertical front porch lines. More...
u16 | VSyncWidth
| Vertical sync active lines. More...
u16 | VBackPorch
| Vertical back porch lines. More...
u16 | BLLPBurst
| BLLP duration of VACT region packet payload size in bytes(WC). More...

## Detailed Description

Video timing structure.

## Field Documentation

u16 XDsi_VideoTiming::BLLPBurst

BLLP duration of VACT region packet payload size in bytes(WC).

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::HActive

Active per video line payload size in bytes(WC)

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::HBackPorch

Horizontal back porch blanking packet payload size in bytes(WC)

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::HFrontPorch

Horizontal front porch blanking packet payload size in bytes(WC)

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::HSyncWidth

Horizontal Sync active width blanking packet payload size in bytes(WC)

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::VActive

Vertical active region lines.

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::VBackPorch

Vertical back porch lines.

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::VFrontPorch

Vertical front porch lines.

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().

u16 XDsi_VideoTiming::VSyncWidth

Vertical sync active lines.

Referenced by XDsi_GetConfigParams(), and XDsi_SetCustomVideoInterfaceTiming().